## distro-info-data 0.43ubuntu1.19

=== debian/changelog ===
distro-info-data (0.43ubuntu1.19) focal; urgency=medium

  * Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)
  * Add release date for Debian 13 "Trixie"
  * Update the Debian 12 "bookworm" EoL

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 15 Oct 2025 20:41:04 +0200

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 12), python3
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
Rules-Requires-Root: no

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: distro-info (<< 0.20~)
Replaces: distro-info (<< 0.3~)
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.44ubuntu1

=== debian/changelog ===
distro-info-data (0.44ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable (LP: #1874843). Remaining changes:
    - Add in eol-server and eol-esm dates for all Ubuntu LTS releases.

 -- Stefano Rivera <stefanor@ubuntu.com>  Fri, 24 Apr 2020 08:47:09 -0700

distro-info-data (0.44) unstable; urgency=medium

  * Add Ubuntu 20.10, Groovy Gorilla.
  * Add a guessed EOL date for Debian Stretch.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Apr 2020 08:29:10 -0700

## distro-info-data 0.44ubuntu1.5

=== debian/changelog ===
distro-info-data (0.44ubuntu1.5) groovy; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 22 Apr 2021 13:15:58 +0100

distro-info-data (0.44ubuntu1.3) groovy; urgency=medium

  * Add Ubuntu 21.04, Hirsute Hippo (LP: #1901361).

 -- Brian Murray <brian@ubuntu.com>  Wed, 28 Oct 2020 12:14:28 -0700

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12), python3
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no

## distro-info-data 0.45

=== debian/changelog ===
distro-info-data (0.45) unstable; urgency=medium

  * Add Ubuntu 21.04, Hirsute Hippo.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 29 Oct 2020 13:21:12 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12), python3
 Standards-Version: 4.5.0
@@ -14,7 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.20~)
+Breaks: distro-info (<< 0.3~)
 Replaces: distro-info (<< 0.3~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script

## distro-info-data 0.46

=== debian/changelog ===
distro-info-data (0.46) unstable; urgency=medium

  * Add "eol-server" dates matching "eol", for LTS releases, as there hasn't
    been a distinction between the two, for a while.
    (Closes: #922090, LP: #1814976).
  * Add "eol-esm" column: EOL for Ubuntu Extended Security Maintenance support.
    (LP: #1808038)
  * Drop ancient Replaces: distro-info (<< 0.3~). No longer needed.
  * Add "eol-lts" for Debian LTS (Closes: #782685)
  * Add estimated dates for Buster EOL and Buster LTS EOL.
  * Publish the data to GitLab pages. (Closes: #973904)
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump copyright years.
  * Correct the EOL date for Debian Jessie.
  * Add Debian 13 "Trixie", with a rough date.
  * Add "up-to-date" testing tool.
  * Add an autopkgtest, running the validation and up-to-date tests.
  * "black" Python.
  * Add "eol-elts" for Debian ELTS.
  * Tweak eol and eol-esm dates, by a couple of days, for Ubuntu 6.10, 9.10,
    10.04, 12.04, 15.04, 15.10, 19.04 to match announced EOL dates.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 29 Jan 2021 13:41:20 -0700

## distro-info-data 0.46ubuntu4.3

=== debian/changelog ===
distro-info-data (0.46ubuntu4.3) hirsute; urgency=medium

  * Add Ubuntu 22.04, Jammy Jellyfish (LP: #1947368).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Oct 2021 14:46:27 +0200

distro-info-data (0.46ubuntu4.2) hirsute-security; urgency=medium

  * Update ubuntu.csv for trusty and xenial ESM extended dates
    (LP: #1946137).

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Tue, 05 Oct 2021 15:45:42 -0300

distro-info-data (0.46ubuntu4) hirsute; urgency=medium

  * Update debian.csv to the one from distro-info-data version 0.51 which
    updates bullseye's release date, bookworm's creation date, and buster's
    EoL date based on the updated planned bullseye release date. This fixes an
    autopkgtest failure.

 -- Brian Murray <brian@ubuntu.com>  Fri, 13 Aug 2021 10:52:00 -0700

distro-info-data (0.46ubuntu3) hirsute; urgency=medium

  * Move Ubuntu EoLs off weekend days. (LP: #1939457)

 -- Brian Murray <brian@ubuntu.com>  Tue, 10 Aug 2021 14:58:27 -0700

distro-info-data (0.46ubuntu2) hirsute; urgency=medium

  * Add Ubuntu 21.10, Impish Indri (LP: #1925484)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 22 Apr 2021 13:10:40 +0100

## distro-info-data 0.47

=== debian/changelog ===
distro-info-data (0.47) unstable; urgency=medium

  * Add Ubuntu 21.04, Impish Indri.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Apr 2021 10:30:18 -0400

## distro-info-data 0.50

=== debian/changelog ===
distro-info-data (0.50) unstable; urgency=medium

  * Update buster's EOL day to bullseye's (tentative) release date +1y.
  * Add ELTS dates for stretch and buster at LTS + 2 years, this seems likely.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Jun 2021 11:01:52 -0400

distro-info-data (0.49) unstable; urgency=medium

  * Move Ubuntu EoLs off weekends.
  * Validate that Ubuntu EoLs occur during the week.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 15 Jun 2021 13:46:40 -0400

distro-info-data (0.48) unstable; urgency=medium

  * Correct typo in changelog.
  * Set a release date for Debian bullseye (and bookworm creation), based on
    the release team's tentative estimate.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Jun 2021 17:47:09 -0400

## distro-info-data 0.51~ab10+1

=== debian/changelog ===
distro-info-data (0.51~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    9027a62755e3d8fbd4da5f0a04e044f8b2996d50.
  * External port from: https://deb.debian.org/debian/pool/main/d/distro-
    info-data/distro-info-data_0.51.dsc
  * MINI_BUILDD_OPTION: ignore-lintian=true

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Tue, 28 Sep 2021 19:31:18 +0200

distro-info-data (0.51) unstable; urgency=medium

  * Update bullseye's release date, bookworm's creation date, and buster's EoL
    date based on the updated planned bullseye release date.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 23 Jul 2021 20:41:20 -0400

## distro-info-data 0.51ubuntu1

=== debian/changelog ===
distro-info-data (0.51ubuntu1) impish; urgency=medium

  * Update ubuntu.csv for trusty and xenial ESM extended dates
    (LP: #1946137).

 -- Brian Murray <brian@ubuntu.com>  Thu, 07 Oct 2021 07:39:51 -0700

## distro-info-data 0.51ubuntu1.2

=== debian/changelog ===
distro-info-data (0.51ubuntu1.2) impish; urgency=medium

  * Add Ubuntu 22.10, Kinetic Kudu (LP: #1970227)

 -- Paride Legovini <paride@ubuntu.com>  Tue, 26 Apr 2022 19:23:46 +0200

distro-info-data (0.51ubuntu1.1) impish; urgency=medium

  * Add Ubuntu 22.04, Jammy Jellyfish (LP: #1947368).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Oct 2021 14:40:34 +0200

## distro-info-data 0.51%2Bdeb11u10

=== debian/changelog ===
distro-info-data (0.51+deb11u10) bullseye-security; urgency=medium

  * Update data to 0.67:
    - Update the bookworm EoL
    - Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Oct 2025 12:06:12 +0200

distro-info-data (0.51+deb11u9) bullseye-security; urgency=medium

  * Update data to 0.66:
    - Add Ubuntu end of Legacy Support dates (new eol-legacy column).
    - Add release and estimated EoL dates for Debian 13 "Trixie".

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Aug 2025 15:30:06 +0200

distro-info-data (0.51+deb11u8) bullseye-security; urgency=medium

  * Update data to 0.64:
    * Add Debian 15 "Duke".
    * Add Ubuntu 25.10 "Questing Quokka".

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Apr 2025 10:44:07 -0400

distro-info-data (0.51+deb11u7) bullseye-security; urgency=medium

  * Update data to 0.63:
    - Add Ubuntu 25.04 "Plucky Puffin" (LP: #2084572)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Oct 2024 19:00:07 -0700

distro-info-data (0.51+deb11u6) bullseye; urgency=medium

  * Update data to 0.61:
    - Declare LTS and ELTS intentions for bullseye and bookworm
    - debian: Fix LTS EOL date for bullseye
    - debian.csv: Fix EOL date for 2.2
    - Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 30 Apr 2024 20:54:51 -0400

distro-info-data (0.51+deb11u5) bullseye; urgency=medium

  * Update data to 0.59:
    - Add Ubuntu 24.04 LTS Noble Numbat (LP: #2041662).
    - Correct Ubuntu 6.10 EOL date to 2008-04-25
    - Correct Ubuntu 16.04 ESM begin to 2021-04-30
    - Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
    - Correct Debian 3.1 EOL date to 2008-03-31
    - Correct Debian 7 EOL date to 2016-04-25
    - Move Debian 9 EOL to the 9.13 release date 2020-07-18
    - Move Debian 10 EOL to the 10.13 release date 2022-09-10

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Oct 2023 14:57:15 +0200

distro-info-data (0.51+deb11u4) bullseye; urgency=medium

  * Update data to 0.58:
    - Add Debian 14 "forky" with a vague creation date.
    - Correct Ubuntu 23.04 release date to 2023-04-20.
    - Tighten validate-csv-data heuristics, restricting Ubuntu EoLs to
      Tue-Thursday.
    - Document Ubuntu ESM overlap period (LP: #2003949)
    - Add Ubuntu 23.10 Mantic Minotaur (LP: #2018028)
    - Set the planned release date for Debian bookworm (and an EoL based on it).
    - Adjust trixie's creation date to match bookworm's release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 29 Apr 2023 14:30:57 -0400

distro-info-data (0.51+deb11u3) bullseye; urgency=medium

  * Update data to 0.55:
    - Update Debian ELTS dates to ~10 years of support (Closes: #1014837)
    - Correct release date of Debian 8 (jessie) to 2015-04-26
    - Add dates for Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 30 Oct 2022 13:31:55 +0200

distro-info-data (0.51+deb11u2) bullseye; urgency=medium

  * Update data to 0.53:
    - Add Ubuntu 22.10, Kinetic Kudu.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Apr 2022 20:32:17 -0400

distro-info-data (0.51+deb11u1) bullseye; urgency=medium

  * Update data to 0.52:
    - Extend Ubuntu 14.04 and 16.04 ESM out to 10 years in total.
    - Add Ubuntu 22.04 LTS, Jammy Jellyfish.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 09 Dec 2021 09:40:48 -0400

## distro-info-data 0.51+deb11u10

=== Makefile ===
PREFIX ?= /usr
PYTHON_SOURCES=lib up-to-date validate-csv-data

build:

install:
	install -d $(DESTDIR)$(PREFIX)/share/distro-info
	install -m 644 $(wildcard *.csv) $(DESTDIR)$(PREFIX)/share/distro-info

test:
	./validate-csv-data -d debian.csv
	./validate-csv-data -u ubuntu.csv

up-to-date:
	./up-to-date -d debian.csv
	./up-to-date -u ubuntu.csv

black:
	black $(PYTHON_SOURCES)

pylint:
	pylint $(PYTHON_SOURCES)

.PHONY: black build install pylint test up-to-date

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12), python3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no
@@ -13,8 +13,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: distro-info (<< 0.3~)
-Replaces: distro-info (<< 0.3~)
+Breaks: distro-info (<< 1.0~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script
  will give you the codename for e.g. the latest stable release of your

## distro-info-data 0.51+devuan2

=== debian/changelog ===
distro-info-data (0.51+devuan2) chimaera-proposed-updates; urgency=medium

  * Add Chimaera release and Daedalus creation date.
  * Add ASCII eol.
  * Add Devuan 6, excalibur.
  * Add daedalus release date.
  * Merge debian 0.51+deb11u5.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Nov 2023 07:48:11 +0000

distro-info-data (0.51+devuan1) unstable; urgency=medium

  * Merge debian/0.51.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 30 Jul 2021 20:41:39 +0100

distro-info-data (0.50+devuan1) unstable; urgency=medium

  * Merge debian/0.50.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 03 Jul 2021 17:31:05 +0100

distro-info-data (0.46+devuan1) unstable; urgency=medium

  * Merge debian/0.46.
  * Add Devuan Jessie EOL date.
  * Add Devuan support to new up-to-date command.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 24 Feb 2021 16:03:21 +0000

distro-info-data (0.45+devuan1) unstable; urgency=medium

  * Merge Debian 0.45.
  * d/control: update Vcs-* following gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 31 Oct 2020 17:02:36 +0000

distro-info-data (0.44+devuan1) unstable; urgency=medium

  * Merge upstream version 0.44.
  * Add chimaera.
  * Add beowulf release.
  * d/control: add Origin: Devuan

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 01 Jun 2020 09:32:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
 Build-Depends: debhelper-compat (= 12), python3
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
-Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
+Vcs-Git: https://git.devuan.org/devuan/distro-info-data.git
+Vcs-Browser: https://git.devuan.org/devuan/distro-info-data
+Origin: Devuan
 Rules-Requires-Root: no
 
 Package: distro-info-data

## distro-info-data 0.51+devuan3

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,12 @@
 test:
 	./validate-csv-data -d debian.csv
 	./validate-csv-data -u ubuntu.csv
+	./validate-csv-data -v devuan.csv
 
 up-to-date:
 	./up-to-date -d debian.csv
 	./up-to-date -u ubuntu.csv
+	./up-to-date -v devuan.csv
 
 black:
 	black $(PYTHON_SOURCES)

=== debian/changelog ===
distro-info-data (0.51+devuan3) chimaera-security; urgency=medium

  * Merge tag debian/0.51+deb11u7.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 31 Oct 2024 09:02:09 +0000

## distro-info-data 0.52

=== debian/changelog ===
distro-info-data (0.52) unstable; urgency=medium

  * Extend Ubuntu 14.04 and 16.04 ESM out to 10 years in total.
  * Add Ubuntu 22.04 LTS, Jammy Jellyfish.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 15 Oct 2021 06:01:00 -0700

## distro-info-data 0.52ubuntu0.1

=== debian/changelog ===
distro-info-data (0.52ubuntu0.1) jammy; urgency=medium

  * Add Ubuntu 22.10, Kinetic Kudu (LP: #1970227)

 -- Paride Legovini <paride@ubuntu.com>  Tue, 26 Apr 2022 19:20:20 +0200

## distro-info-data 0.52ubuntu0.1+11.0trisquel2

=== debian/changelog ===
distro-info-data (0.52ubuntu0.1+11.0trisquel2) aramo; urgency=medium

  * Adding trisquel distro info.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 28 May 2022 08:42:50 +0000

## distro-info-data 0.52ubuntu0.2+11.0trisquel5

=== debian/changelog ===
distro-info-data (0.52ubuntu0.2+11.0trisquel5) aramo; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 23 Jan 2023 02:04:30 +0000

distro-info-data (0.52ubuntu0.2) jammy; urgency=medium

  * Add Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 31 Oct 2022 15:09:45 +0100

## distro-info-data 0.52ubuntu0.4

=== debian/changelog ===
distro-info-data (0.52ubuntu0.4) jammy; urgency=medium

  * Add Ubuntu 23.10 Mantic Minotaur. (LP: #2018028)
  * Update Debian ELTS dates to ~10 years of support (Closes: #1014837)
  * Correct release date of Debian 8 (jessie) to 2015-04-26
  * Add Debian 14 "forky" with a vague creation date.
  * Set the planned release date for Debian bookworm (and an EoL based on it).
  * Adjust trixie's creation date to match bookworm's release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 May 2023 14:55:33 +0200

distro-info-data (0.52ubuntu0.3) jammy; urgency=medium

  [ Benjamin Drung ]
  * Publish only main branch to GitLab Pages

  [ Dimitri John Ledkov ]
  * Document Ubuntu ESM overlap period (LP: #2003949)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 06 Mar 2023 11:05:22 +0000

## distro-info-data 0.52ubuntu0.6

=== debian/changelog ===
distro-info-data (0.52ubuntu0.6) jammy; urgency=medium

  * Add animal name to Ubuntu 24.04 LTS Noble Numbat (LP: #2041662)
  * Clean .pyc files and mypy cache
  * Correct Ubuntu 6.10 EOL date to 2008-04-25
  * Correct Ubuntu 16.04 ESM begin to 2021-04-30
  * Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
  * Correct Debian 3.1 EOL date to 2008-03-31
  * Correct Debian 7 EOL date to 2016-04-25
  * Move Debian 9 EOL to the 9.13 release date 2020-07-18
  * Move Debian 10 EOL to the 10.13 release date 2022-09-10

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Nov 2023 19:41:16 +0100

distro-info-data (0.52ubuntu0.5) jammy; urgency=medium

  * Add Ubuntu 24.04 LTS Noble N. (LP: #2040193)

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Oct 2023 17:00:37 -0700

## distro-info-data 0.52ubuntu0.7

=== debian/changelog ===
distro-info-data (0.52ubuntu0.7) jammy; urgency=medium

  [ Santiago Ruano Rincón ]
  * Declare LTS and ELTS intentions for bullseye and bookworm

  [ Utkarsh Gupta ]
  * debian: Fix LTS EOL date for bullseye

  [ Jeremy Bícha ]
  * debian.csv: Fix EOL date for 2.2

  [ Benjamin Drung ]
  * Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)
  * Update year in debian/copyright
  * Name autopkgtest "up-to-date"

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 30 Apr 2024 14:08:47 +0200

## distro-info-data 0.52ubuntu0.7+11.0trisquel7

=== debian/changelog ===
distro-info-data (0.52ubuntu0.7+11.0trisquel7) aramo; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 02 May 2024 21:39:56 +0000

## distro-info-data 0.52ubuntu0.8

=== debian/changelog ===
distro-info-data (0.52ubuntu0.8) jammy; urgency=medium

  * Add Ubuntu 25.04 "Plucky Puffin" (LP: #2084572)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 17 Oct 2024 12:43:19 +0200

## distro-info-data 0.52ubuntu0.9

=== debian/changelog ===
distro-info-data (0.52ubuntu0.9) jammy; urgency=medium

  * Add Ubuntu 25.10 "Questing Quokka" (LP: #2107391)
  * Add Debian 15 "Duke"

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Apr 2025 12:00:31 +0200

## distro-info-data 0.52ubuntu0.9+11.0trisquel8

=== debian/changelog ===
distro-info-data (0.52ubuntu0.9+11.0trisquel8) aramo; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 29 Apr 2025 12:46:14 +0000

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 12), python3
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
Rules-Requires-Root: no

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.52ubuntu0.10

=== debian/changelog ===
distro-info-data (0.52ubuntu0.10) jammy; urgency=medium

  * Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)
  * Correct date for forky
  * Correct estimation for trixie ELTS EoL to 10 years total support.
  * Update the bookworm EoL

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 10 Oct 2025 11:33:51 +0100

## distro-info-data 0.52ubuntu0.11

=== debian/changelog ===
distro-info-data (0.52ubuntu0.11) jammy; urgency=medium

  * ubuntu.csv: remove eol-legacy field from resolute
    This version of distro-info does not know about eol-legacy.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 10 Oct 2025 11:59:51 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12), python3
@@ -14,6 +14,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: distro-info (<< 1.0~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script
  will give you the codename for e.g. the latest stable release of your

## distro-info-data 0.52ubuntu0.11+11.0trisquel8

=== debian/changelog ===
distro-info-data (0.52ubuntu0.11+11.0trisquel8) aramo; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Oct 2025 17:50:10 +0000

## distro-info-data 0.53~ab10+1

=== debian/changelog ===
distro-info-data (0.53~ab10+1) buster-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    f78634ea54cc702c2f2f6cda613f991f497286af.
  * External port from: https://deb.debian.org/debian/pool/main/d/distro-
    info-data/distro-info-data_0.53.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Sat, 14 May 2022 15:50:50 +0200

distro-info-data (0.53) unstable; urgency=medium

  * Add Ubuntu 22.10, Kinetic Kudu.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Apr 2022 11:48:33 -0400

## distro-info-data 0.54

=== Makefile ===
--- 
+++ 
@@ -10,15 +10,13 @@
 test:
 	./validate-csv-data -d debian.csv
 	./validate-csv-data -u ubuntu.csv
-	./validate-csv-data -v devuan.csv
 
 up-to-date:
 	./up-to-date -d debian.csv
 	./up-to-date -u ubuntu.csv
-	./up-to-date -v devuan.csv
 
 black:
-	black $(PYTHON_SOURCES)
+	black -C -l 79 $(PYTHON_SOURCES)
 
 pylint:
 	pylint $(PYTHON_SOURCES)

=== debian/changelog ===
distro-info-data (0.54) unstable; urgency=medium

  * Update Debian ELTS dates to ~10 years of support (Closes: #1014837)
  * Correct release date of Debian 8 (jessie) to 2015-04-26
  * Restrict maximum line length to 79 characters
  * Fix all pylint complaints (except too-many-branches)
  * Switch to debhelper 13
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Benjamin Drung <bdrung@debian.org>  Sat, 23 Jul 2022 17:31:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper-compat (= 12), python3
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), python3
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no

## distro-info-data 0.54ubuntu0.1

=== debian/changelog ===
distro-info-data (0.54ubuntu0.1) kinetic; urgency=medium

  * Add Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 31 Oct 2022 15:02:09 +0100

## distro-info-data 0.54ubuntu0.3

=== debian/changelog ===
distro-info-data (0.54ubuntu0.3) kinetic; urgency=medium

  * Add Ubuntu 23.10 Mantic Minotaur. (LP: #2018028)
  * Add Debian 14 "forky" with a vague creation date.
  * Set the planned release date for Debian bookworm (and an EoL based on it).
  * Adjust trixie's creation date to match bookworm's release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 May 2023 14:36:51 +0200

distro-info-data (0.54ubuntu0.2) kinetic; urgency=medium

  * Document Ubuntu ESM overlap period (LP: #2003949)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 06 Mar 2023 10:55:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13), python3
 Standards-Version: 4.6.1

## distro-info-data 0.55

=== debian/changelog ===
distro-info-data (0.55) unstable; urgency=medium

  [ Stefano Rivera ]
  * Mark python3 Build-Depend as <!nocheck>.

  [ Thomas Bechtold ]
  * Add dates for Ubuntu 23.04, Lunar Lobster (LP: #1993667)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 28 Oct 2022 11:09:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper-compat (= 13), python3
+Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data

## distro-info-data 0.56

=== debian/changelog ===
distro-info-data (0.56) unstable; urgency=medium

  [ Stefano Rivera ]
  * Add Debian 14 "forky" with a vague creation date.

  [ Brian Murray ]
  * Correct Update 23.04 release date to 2023-04-20

 -- Benjamin Drung <bdrung@debian.org>  Mon, 31 Oct 2022 14:51:00 +0100

## distro-info-data 0.57

=== debian/changelog ===
distro-info-data (0.57) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Document Ubuntu ESM overlap period (LP: #2003949)

  [ Stefano Rivera ]
  * Tighten validate-csv-data heuristics, to limit Ubuntu EoLs to Tue-Thursday
  * Correct error message for EoL date weekdays
  * Ensure Ubuntu LTS releases have some overlap with ESM
  * Correct exit code for EoL date weekdays

  [ Benjamin Drung ]
  * Format Python code with black
  * Some refactoring in validate-csv-data for better readability
  * Update year in debian/copyright
  * Bump Standards-Version to 4.6.2

 -- Benjamin Drung <bdrung@debian.org>  Wed, 22 Feb 2023 15:45:05 +0100

## distro-info-data 0.57ubuntu0.1

=== debian/changelog ===
distro-info-data (0.57ubuntu0.1) lunar; urgency=medium

  * Add Ubuntu 23.10 Mantic Minotaur (LP: #2018028)
  * Set the planned release date for Debian bookworm (and an EoL based on it).
  * Adjust trixie's creation date to match bookworm's release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 01 May 2023 14:14:27 +0200

## distro-info-data 0.57ubuntu0.3

=== debian/changelog ===
distro-info-data (0.57ubuntu0.3) lunar; urgency=medium

  * Add animal name to Ubuntu 24.04 LTS Noble Numbat (LP: #2041662)
  * Clean .pyc files and mypy cache
  * Correct Ubuntu 6.10 EOL date to 2008-04-25
  * Correct Ubuntu 16.04 ESM begin to 2021-04-30
  * Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
  * Correct Debian 3.1 EOL date to 2008-03-31
  * Correct Debian 7 EOL date to 2016-04-25
  * Move Debian 9 EOL to the 9.13 release date 2020-07-18
  * Move Debian 10 EOL to the 10.13 release date 2022-09-10

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Nov 2023 19:35:28 +0100

distro-info-data (0.57ubuntu0.2) lunar; urgency=medium

  * Add Ubuntu 24.04 LTS Noble N. (LP: #2040193)

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Oct 2023 16:57:17 -0700

## distro-info-data 0.58

=== debian/changelog ===
distro-info-data (0.58) unstable; urgency=medium

  * Add Ubuntu 23.10 Mantic Minotaur (LP: #2018028)
  * Set the planned release date for Debian bookworm (and an EoL based on it).
  * Adjust trixie's creation date to match bookworm's release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 28 Apr 2023 19:24:30 -0400

## distro-info-data 0.58ubuntu0.2

=== debian/changelog ===
distro-info-data (0.58ubuntu0.2) mantic; urgency=medium

  * Add animal name to Ubuntu 24.04 LTS Noble Numbat (LP: #2041662)
  * Clean .pyc files and mypy cache
  * Correct Ubuntu 6.10 EOL date to 2008-04-25
  * Correct Ubuntu 16.04 ESM begin to 2021-04-30
  * Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
  * Correct Debian 3.1 EOL date to 2008-03-31
  * Correct Debian 7 EOL date to 2016-04-25
  * Move Debian 9 EOL to the 9.13 release date 2020-07-18
  * Move Debian 10 EOL to the 10.13 release date 2022-09-10

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 16 Nov 2023 19:27:44 +0100

distro-info-data (0.58ubuntu0.1) mantic; urgency=medium

  * Add Ubuntu 24.04 LTS Noble N. (LP: #2040193)

 -- Brian Murray <brian@ubuntu.com>  Mon, 23 Oct 2023 16:54:25 -0700

## distro-info-data 0.58ubuntu0.3

=== debian/changelog ===
distro-info-data (0.58ubuntu0.3) mantic; urgency=medium

  [ Santiago Ruano Rincón ]
  * Declare LTS and ELTS intentions for bullseye and bookworm

  [ Utkarsh Gupta ]
  * debian: Fix LTS EOL date for bullseye

  [ Jeremy Bícha ]
  * debian.csv: Fix EOL date for 2.2

  [ Benjamin Drung ]
  * Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)
  * Update year in debian/copyright
  * Name autopkgtest "up-to-date"

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 30 Apr 2024 12:54:48 +0200

## distro-info-data 0.58+deb12u1

=== debian/changelog ===
distro-info-data (0.58+deb12u1) bookworm; urgency=medium

  * Update data to 0.59:
    - Add Ubuntu 24.04 LTS Noble Numbat (LP: #2041662).
    - Correct Ubuntu 6.10 EOL date to 2008-04-25
    - Correct Ubuntu 16.04 ESM begin to 2021-04-30
    - Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
    - Correct Debian 3.1 EOL date to 2008-03-31
    - Correct Debian 7 EOL date to 2016-04-25
    - Move Debian 9 EOL to the 9.13 release date 2020-07-18
    - Move Debian 10 EOL to the 10.13 release date 2022-09-10

 -- Stefano Rivera <stefanor@debian.org>  Sun, 29 Oct 2023 12:12:45 +0200

## distro-info-data 0.58+deb12u3

=== debian/changelog ===
distro-info-data (0.58+deb12u3) bookworm; urgency=medium

  * Update data to 0.63:
    - Add Ubuntu 25.04 "Plucky Puffin" (LP: #2084572)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Oct 2024 18:58:20 -0700

distro-info-data (0.58+deb12u2) bookworm; urgency=medium

  * Update data to 0.61:
    - Declare LTS and ELTS intentions for bullseye and bookworm
    - debian: Fix LTS EOL date for bullseye
    - debian.csv: Fix EOL date for 2.2
    - Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 30 Apr 2024 20:41:56 -0400

## distro-info-data 0.58+deb12u4

=== debian/changelog ===
distro-info-data (0.58+deb12u4) bookworm; urgency=medium

  * Update data to 0.64:
    * Add Debian 15 "Duke".
    * Add Ubuntu 25.10 "Questing Quokka".

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Apr 2025 10:42:02 -0400

## distro-info-data 0.58+deb12u4devuan1

=== debian/changelog ===
distro-info-data (0.58+deb12u4devuan1) daedalus-proposed-updates; urgency=medium

  * Merge tag debian/0.58+deb12u4.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 21 May 2025 17:19:45 +0100

distro-info-data (0.58+deb12u3devuan1) daedalus-proposed-updates; urgency=medium

  * Merge Debian tag debian/0.58+deb12u3.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 31 Oct 2024 07:32:40 +0000

distro-info-data (0.58+deb12u2devuan1) daedalus-proposed-updates; urgency=medium

  * Merge Debian tag 0.58+deb12u2.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 16 May 2024 07:27:35 +0100

distro-info-data (0.58+deb12u1devuan1) daedalus-proposed-updates; urgency=medium

  * Add daedalus release date.
  * Merge Debian tag 0.58+deb12u1.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Nov 2023 07:34:33 +0000

distro-info-data (0.58devuan1) unstable; urgency=medium

  * Merge tag debian/0.58.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 29 Apr 2023 06:31:10 +0100

distro-info-data (0.57devuan2) unstable; urgency=medium

  * Add ASCII eol date.
  * Add Devuan 6, excalibur.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 29 Mar 2023 17:16:32 +0100

distro-info-data (0.57devuan1) unstable; urgency=medium

  * Merge tag debian/0.57.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 24 Feb 2023 06:56:18 +0000

distro-info-data (0.56devuan1) unstable; urgency=medium

  * Merge tag debian/0.56.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 01 Nov 2022 08:35:31 +0000

distro-info-data (0.55devuan1) unstable; urgency=medium

  * Merge tag debian/0.55.

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 30 Oct 2022 08:48:47 +0000

distro-info-data (0.54devuan1) unstable; urgency=medium

  * Merge tag debian/0.54.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 25 Jul 2022 08:45:02 +0100

distro-info-data (0.53devuan1) unstable; urgency=medium

  * Merge tag debian/0.53.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 26 Apr 2022 07:17:48 +0100

distro-info-data (0.52+devuan2) unstable; urgency=medium

  * Remove excess space.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 03 Feb 2022 15:25:50 +0000

distro-info-data (0.52+devuan1) unstable; urgency=medium

  * Add Chimaera release and Daedalus creation date.
  * Merge debian/0.52.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 18 Oct 2021 20:10:15 +0100

## distro-info-data 0.58+deb12u5

=== debian/changelog ===
distro-info-data (0.58+deb12u5) bookworm; urgency=medium

  * Update data to 0.66:
    - Add Ubuntu end of Legacy Support dates (new eol-legacy column).
    - Add release and estimated EoL dates for Debian 13 "Trixie".

 -- Stefano Rivera <stefanor@debian.org>  Sat, 09 Aug 2025 15:17:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no

=== debian/tests/control ===
Depends: @builddeps@
Test-Command: make up-to-date

## distro-info-data 0.58+deb12u6

=== debian/changelog ===
distro-info-data (0.58+deb12u6) bookworm; urgency=medium

  * Update data to 0.68:
    - Update the bookworm EoL
    - Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 18 Oct 2025 16:50:26 +0200

## distro-info-data 0.58+deb12u6devuan1

=== debian/changelog ===
distro-info-data (0.58+deb12u6devuan1) daedalus-proposed-updates; urgency=medium

  * Merge tag debian/0.58+deb12u6
  * Add Beowulf EOL.
  * Add Devuan 7 (freia).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 22 Oct 2025 11:30:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
-Uploaders: Stefano Rivera <stefanor@debian.org>
+Maintainer: Devuan Developers <devuan-dev@lists.dyne.org>
+Uploaders: Mark (LeePen) Hindley <mark@hindley.org.uk>
 Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
-Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
+Vcs-Git: https://git.devuan.org/devuan/distro-info-data.git
+Vcs-Browser: https://git.devuan.org/devuan/distro-info-data
+Origin: Devuan
 Rules-Requires-Root: no
 
 Package: distro-info-data

## distro-info-data 0.60

=== debian/changelog ===
distro-info-data (0.60) unstable; urgency=medium

  [ Santiago Ruano Rincón ]
  * Declare LTS and ELTS intentions for bullseye and bookworm.

  [ Utkarsh Gupta ]
  * debian: Fix LTS EOL date for bullseye.

 -- Utkarsh Gupta <utkarsh@debian.org>  Mon, 27 Nov 2023 12:23:55 +0000

distro-info-data (0.59) unstable; urgency=medium

  [ Stefano Rivera ]
  * Clean .pyc files and mypy cache.

  [ Benjamin Drung ]
  * Add Ubuntu 24.04 LTS Noble Numbat (LP: #2041662).
  * Correct Ubuntu 6.10 EOL date to 2008-04-25
  * Correct Ubuntu 16.04 ESM begin to 2021-04-30
  * Move Ubuntu 12.04 ESM end date back to Friday, 2019-04-26
  * Correct Debian 3.1 EOL date to 2008-03-31
  * Correct Debian 7 EOL date to 2016-04-25
  * Move Debian 9 EOL to the 9.13 release date 2020-07-18
  * Move Debian 10 EOL to the 10.13 release date 2022-09-10

 -- Benjamin Drung <bdrung@debian.org>  Fri, 27 Oct 2023 15:17:07 +0200

## distro-info-data 0.60ubuntu0.1

=== debian/changelog ===
distro-info-data (0.60ubuntu0.1) noble; urgency=medium

  [ Jeremy Bícha ]
  * debian.csv: Fix EOL date for 2.2

  [ Benjamin Drung ]
  * Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)
  * Update year in debian/copyright
  * Name autopkgtest "up-to-date"
  * up-to-date: Replace deprecated datetime.utcnow() by datetime.now(UTC)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 30 Apr 2024 12:48:41 +0200

=== debian/tests/control ===
Depends: @builddeps@
Test-Command: make up-to-date
Features: test-name=up-to-date

## distro-info-data 0.60ubuntu0.2

=== debian/changelog ===
distro-info-data (0.60ubuntu0.2) noble; urgency=medium

  * Add Ubuntu 25.04 "Plucky Puffin" (LP: #2084572)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 17 Oct 2024 12:38:41 +0200

## distro-info-data 0.60ubuntu0.3

=== debian/changelog ===
distro-info-data (0.60ubuntu0.3) noble; urgency=medium

  * Add Ubuntu 25.10 "Questing Quokka" (LP: #2107391)
  * Add Debian 15 "Duke"

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Apr 2025 11:57:58 +0200

## distro-info-data 0.60ubuntu0.3trisquel7

=== debian/changelog ===
distro-info-data (0.60ubuntu0.3trisquel7) ecne; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 29 Apr 2025 12:46:31 +0000

=== debian/control ===
Source: distro-info-data
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
Rules-Requires-Root: no

Package: distro-info-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: information about the distributions' releases (data files)
 Information about all releases of Debian and Ubuntu. The distro-info script
 will give you the codename for e.g. the latest stable release of your
 distribution. To get information about a specific distribution there are the
 debian-distro-info and the ubuntu-distro-info scripts.
 .
 This package contains the data files.

## distro-info-data 0.60ubuntu0.4

=== debian/changelog ===
distro-info-data (0.60ubuntu0.4) noble; urgency=medium

  * Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)
  * Correct date for forky
  * Correct estimation for trixie ELTS EoL to 10 years total support.
  * Update the bookworm EoL

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 10 Oct 2025 11:31:14 +0100

## distro-info-data 0.60ubuntu0.5

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	./up-to-date -u ubuntu.csv
 
 black:
-	black -C -l 79 $(PYTHON_SOURCES)
+	black -C $(PYTHON_SOURCES)
 
 pylint:
 	pylint $(PYTHON_SOURCES)

=== debian/changelog ===
distro-info-data (0.60ubuntu0.5) noble; urgency=medium

  * ubuntu.csv: remove eol-legacy field from resolute
    This version of distro-info does not know about eol-legacy.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 10 Oct 2025 12:02:16 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
@@ -14,6 +14,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: distro-info (<< 1.0~)
 Description: information about the distributions' releases (data files)
  Information about all releases of Debian and Ubuntu. The distro-info script
  will give you the codename for e.g. the latest stable release of your

## distro-info-data 0.60ubuntu0.5trisquel7

=== debian/changelog ===
distro-info-data (0.60ubuntu0.5trisquel7) ecne; urgency=medium

  * Adding trisquel distro info and upstream equivalent.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 20 Oct 2025 17:50:15 +0000

## distro-info-data 0.62

=== debian/changelog ===
distro-info-data (0.62) unstable; urgency=medium

  * Name autopkgtest "up-to-date"
  * up-to-date: Replace deprecated datetime.utcnow() by datetime.now(UTC)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 30 Apr 2024 12:45:11 +0200

distro-info-data (0.61) unstable; urgency=medium

  [ Jeremy Bícha ]
  * debian.csv: Fix EOL date for 2.2

  [ Benjamin Drung ]
  * Add Ubuntu 24.10 "Oracular Oriole" (LP: #2064136)
  * Update year in debian/copyright

 -- Benjamin Drung <bdrung@debian.org>  Mon, 29 Apr 2024 21:48:31 +0200

## distro-info-data 0.62ubuntu0.1

=== debian/changelog ===
distro-info-data (0.62ubuntu0.1) oracular; urgency=medium

  * Add Ubuntu 25.04 "Plucky Puffin" (LP: #2084572)

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 17 Oct 2024 12:35:35 +0200

## distro-info-data 0.62ubuntu0.2

=== debian/changelog ===
distro-info-data (0.62ubuntu0.2) oracular; urgency=medium

  * Add Ubuntu 25.10 "Questing Quokka" (LP: #2107391)
  * Add Debian 15 "Duke"

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Apr 2025 11:49:50 +0200

## distro-info-data 0.63

=== debian/changelog ===
distro-info-data (0.63) unstable; urgency=medium

  * Add Ubuntu 25.04 "Plucky Puffin" (LP: #2084572)

 -- Benjamin Drung <bdrung@debian.org>  Thu, 17 Oct 2024 12:24:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/distro-info-data.git
 Vcs-Browser: https://salsa.debian.org/debian/distro-info-data
 Rules-Requires-Root: no

## distro-info-data 0.63ubuntu0.1

=== debian/changelog ===
distro-info-data (0.63ubuntu0.1) plucky; urgency=medium

  * Add Ubuntu 25.10 "Questing Quokka" (LP: #2107391)
  * Add Debian 15 "Duke"

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 23 Apr 2025 11:40:12 +0200

## distro-info-data 0.63ubuntu0.2

=== debian/changelog ===
distro-info-data (0.63ubuntu0.2) plucky; urgency=medium

  * Add Ubuntu 26.04 LTS "Resolute Raccoon" (LP: #2126961)
  * Correct date for forky
  * Correct estimation for trixie ELTS EoL to 10 years total support.
  * Update the bookworm EoL

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Fri, 10 Oct 2025 11:02:03 +0100

## distro-info-data 0.63ubuntu0.3

=== debian/changelog ===
distro-info-data (0.63ubuntu0.3) plucky; urgency=medium

  * ubuntu.csv: remove eol-legacy field from resolute
    This version of distro-info does not know about eol-legacy.

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 10 Oct 2025 12:03:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: distro-info-data
 Section: devel
 Priority: optional
-Maintainer: Benjamin Drung <bdrung@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Drung <bdrung@debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13), python3 <!nocheck>
 Standards-Version: 4.7.0

## distro-info-data 0.64

=== debian/changelog ===
distro-info-data (0.64) unstable; urgency=medium

  * Add Debian 15 "Duke".
  * Add Ubuntu 25.10 "Questing Quokka".
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 14 Apr 2025 16:50:33 -0400
